## Feeclouds Demo

#### RUN

- 安装 maven,java 8
- 运行:
    - 执行 mvn install
    - 执行 mvn spring-boot:run 即可运行
- 环境配置 修改application.properties中的spring.profiles.active 可选值dev|prod
- 打包
    - 执行 mvn clean package -Dmaven.test.skip=true //-Dmaven为true可跳过测试,目前不需要需要可删除.
    - 打包后的文件存放在 target 根目录下
    - jar运行 nohup java -jar xxx.jar &
    - jar控制台日志 tail -f nohup.out
    - jar文件日志 tail -f logs/error|info|debug|trace|warn
    
#### DOC
- Api文档
    - [Api文档](http://developer.feeclouds.com/)
    
- 说明
    - 此demo目前只演示了发票查验的接口示例,其他接口请参照此接口,方法类似
    - 详情见: [MainController](src/main/java/cn/deallinker/demo/controller/MainController.java)
    - 需要在[application.properties](src/main/resources/application.properties)中替换费耘key和secret
    