package cn.deallinker.demo.model.resp;

public enum ErrorResps {
    SUCCESS(0, "成功", null),
    PARAM_ERROR(10001, "参数错误", null),
    JYM_ERROR(10002, "请输入20位或后6位校验码", null),
    SIGN_ERROR(10003, "签名失败", null),
    INVOKE_FEECLOUD_FAILED(10004, "调用费耘接口失败", null),


    ;

    private final BaseResp<Object> resp;

    ErrorResps(int code, String msg, Object data){
        this.resp = new BaseResp<>(code, msg, data);
    }

    public BaseResp get(){ return resp; }

}
